Subject: RE: ManagedElement

From: "Andrea Westerinen" <[email-masked]>
Date: Sun, 21 Nov 1999 21:05:26 -0800

RE: ManagedElementNo.  I guess that my words were too vague.  I assumed that
all non-association classes (like Role, Person, Setting,
ManagedSystemElement, etc.) would derive from ManagedElement.

Andrea
  -----Original Message-----
  From: J. Patrick Thompson (Exchange)
[mailto:[email-masked]]
  Sent: Friday, November 19, 1999 7:58 AM
  To: Andrea Westerinen; Kentaro Fujinuma; [email-masked]
  Cc: [email-masked]
  Subject: RE: ManagedElement

  Are you thinking that associations would derive from ManagedElement?

  Patrick

  -----Original Message-----
  From: Andrea Westerinen [mailto:[email-masked]]
  Sent: Thursday, November 18, 1999 10:12 AM
  To: Kentaro Fujinuma; [email-masked]
  Cc: [email-masked]
  Subject: RE: ManagedElement

  Going into more detail about the differences between ManagedElement and
  ManagedSystemElement:

  - ManagedElement is a very high level abstraction that could represent the
  root of the inheritance tree for all objects in CIM.  It has very generic
  properties like Description.

  - ManagedSystemElement is a high level abstraction for objects in (or of)
  "systems".  (Systems are things like ApplicationSystems (ie, SAP),
  NetworkSystems (ie, administrative domains) or ComputerSystems.)
  ManagedSystemElement has a more specific semantic than ManagedElement in
  that it has properties like status ("OK", "Error", "Starting", "Stopping",
  etc) and an install date (the date-time that an instance was installed in
  the system).  These properties would not work for objects like Person or
  Configuration. A ManagedSystemElement would be a kind of ManagedElement.

  Andrea

  > -----Original Message-----
  > From: [email-masked]
  > [mailto:[email-masked]]On Behalf Of Kentaro Fujinuma
  > Sent: Wednesday, November 17, 1999 9:48 AM
  > To: [email-masked]
  > Cc: [email-masked]
  > Subject: Re: ManagedElement
  >
  >
  > On <[email-masked]>
  >    In "ManagedElement"
  >    ""Kei Kato" <[email-masked]>" wrotes:
  >
  > > Hi all,
  >
  > Hi. It is funny that two Japanese discuss by English. :-)
  >
  > > I have a question about the draft Policy Core Info Model
  > > ( draft-ietf-policy-core-info-model-02.txt). In page 10 of this draft
  > > depicts Overview of the Core Policy Classes and Relationships(Fig.1).
  > > In the center of this figure shows the box called ManagedElement
  > > and this is being discussed in DMTFs user WG I understand. But
  > > what's the difference between ManagedElement and ManagedSystemElement?
  > > in CIMv2.2 there is only ManagedSystemElement, not ManagedElement. I'd
  > > be glad to have your comments.
  >
  > In CIM tutorial on DMTF web site, there is explanation about
  > differences between ManagedElement and ManagedSystemElement.
  > I think this page helps you resolving your question.
  > http://www.dmtf.org/educ/tutorials/cim/using/struc.html
  >
  > Quotation from this page:
  > > Possible extensions include the addition of a Managed Element class
  > > as an abstraction of the Managed System Element class. Descendents
  > > of this Managed Element class, that is, classes that represent objects
  > > outside the managed system domain, may be added to the Core model.
  > > For example, it will be desirable in some applications to model
  > objects,
  > > such as Organizations and Users.
  >
  > Best regards.
  >
  > P.S.
  > Kato san, Do you subscribing ldap-jp mailing list? If you so,
  > I want to talk about CIM-related topics in Japanese on that list.
  > I also will set up Japanese mailing list for CIM in December (soon).
  >
  > -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
  >  Kentaro Fujinuma / IIGA Co., Ltd. / Network Administrator
  >  Contact: E-mail: [email-masked]
  >           Tel: 03-5296-0389 / Fax: 03-5296-0386
  > -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-